
Infrastructure - Bug #3399

cn.reserveIdentifier occasionally timing out in DEV and STAGE

2012-11-14 19:02 - Rob Nahf

Status: Closed Start date: 2012-11-14

Priority: Normal Due date: 2013-01-05

Assignee: Ben Leinfelder % Done: 100%

Category: Environment.Development Estimated time: 0.00 hour

Target version: Sprint-2012.50-Block.6.4   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

while testing d1_client_r,  I'm using reserveIdentifier prior to creating an object, but sometimes it is timing out (after 30 sec)  Other

times it is very fast.  Need to check if it is a round-robin issue (sending traffic to a machine that's down) or a system resource issue

on a particular machine or every machine.

History

#1 - 2012-12-12 19:01 - Rob Nahf

- Due date changed from 2012-11-14 to 2013-01-05

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#2 - 2012-12-17 20:44 - Rob Nahf

- Subject changed from cn.reserveIdentifier occasionally timing out in dev to cn.reserveIdentifier occasionally timing out in DEV and STAGE

#3 - 2013-01-09 17:14 - Rob Nahf

- Assignee changed from Rob Nahf to Chris Jones

- Milestone changed from None to CCI-1.1

#4 - 2013-01-10 16:26 - Chris Jones

- Assignee changed from Chris Jones to Ben Leinfelder

Assigning to Ben, since he's most familiar with the Identifier service.

#5 - 2013-01-10 17:53 - Ben Leinfelder

Is the client connection to the service where the timeout is happening or is it the service trying to communicate with LDAP that times out?

#6 - 2013-01-15 21:03 - Ben Leinfelder

- Status changed from New to Closed

I ended up having to restart tomcat to get this error to go away. I imagine something happened with the LDAP connection, but not sure why it showed

as a timeout. All three cn-dev servers have been "fixed"
